net.minecraft.client.entity

## Class EntityClientPlayerMP

- java.lang.Object
- - net.minecraft.entity.Entity
  - - net.minecraft.entity.EntityLivingBase
    - - net.minecraft.entity.player.EntityPlayer
      - - net.minecraft.client.entity.AbstractClientPlayer
        - - net.minecraft.client.entity.EntityPlayerSP
          - - net.minecraft.client.entity.EntityClientPlayerMP

- All Implemented Interfaces:
    ICommandSender

      public class EntityClientPlayerMP
      extends EntityPlayerSP

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.entity.player.EntityPlayer

      `EntityPlayer.EnumChatVisibility, EntityPlayer.EnumStatus`

    - ### Nested classes/interfaces inherited from class net.minecraft.entity.Entity

      `Entity.EnumEntitySize`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `NetHandlerPlayClient` | `sendQueue`

    - ### Fields inherited from class net.minecraft.client.entity.EntityPlayerSP

      `mc, movementInput, prevRenderArmPitch, prevRenderArmYaw, prevTimeInPortal, renderArmPitch, renderArmYaw, sprintingTicksLeft, sprintToggleTimer, timeInPortal`

    - ### Fields inherited from class net.minecraft.client.entity.AbstractClientPlayer

      `locationStevePng`

    - ### Fields inherited from class net.minecraft.entity.player.EntityPlayer

      `cameraYaw, capabilities, experience, experienceLevel, experienceTotal, eyeHeight, field_71079_bU, field_71082_cx, field_71085_bR, field_71089_bV, field_71091_bM, field_71094_bP, field_71095_bQ, field_71096_bN, field_71097_bO, fishEntity, flyToggleTimer, foodStats, inventory, inventoryContainer, openContainer, PERSISTED_NBT_TAG, playerLocation, prevCameraYaw, sleeping, speedInAir, speedOnGround, xpCooldown`

    - ### Fields inherited from class net.minecraft.entity.EntityLivingBase

      `arrowHitTimer, attackedAtYaw, attackingPlayer, attackTime, cameraPitch, dead, deathTime, entityAge, field_110154_aX, field_70741_aB, field_70763_ax, field_70764_aw, field_70768_au, field_70769_ao, field_70770_ap, hurtTime, isJumping, isSwingInProgress, jumpMovementFactor, lastDamage, limbSwing, limbSwingAmount, maxHurtResistantTime, maxHurtTime, moveForward, moveStrafing, newPosRotationIncrements, newPosX, newPosY, newPosZ, newRotationPitch, newRotationYaw, prevCameraPitch, prevHealth, prevLimbSwingAmount, prevRenderYawOffset, prevRotationYawHead, prevSwingProgress, randomYawVelocity, recentlyHit, renderYawOffset, rotationYawHead, scoreValue, swingProgress, swingProgressInt`

    - ### Fields inherited from class net.minecraft.entity.Entity

      `addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, dataWatcher, dimension, distanceWalkedModified, distanceWalkedOnStepModified, entityCollisionReduction, entityUniqueID, extendedProperties, fallDistance, field_70135_K, fireResistance, forceSpawn, height, hurtResistantTime, ignoreFrustumCheck, inPortal, inWater, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, isImmuneToFire, isInWeb, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, portalCounter, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, rand, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, stepHeight, teleportDirection, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityClientPlayerMP(Minecraft p_i45064_1_, World p_i45064_2_, Session p_i45064_3_, NetHandlerPlayClient p_i45064_4_, StatFileWriter p_i45064_5_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addStat(StatBase par1StatBase, int par2)`
    `boolean` | `attackEntityFrom(DamageSource par1DamageSource, float par2)`
    `void` | `closeScreen()`
    `void` | `closeScreenNoPacket()`
    `protected void` | `damageEntity(DamageSource par1DamageSource, float par2)`
    `EntityItem` | `dropOneItem(boolean par1)`
    `protected void` | `func_110318_g()`
    `void` | `func_110322_i()`
    `void` | `func_142020_c(java.lang.String par1Str)`
    `java.lang.String` | `func_142021_k()`
    `StatFileWriter` | `getStatFileWriter()`
    `void` | `heal(float par1)`
    `void` | `joinEntityItemWithWorld(EntityItem par1EntityItem)`
    `void` | `mountEntity(Entity par1Entity)`
    `void` | `onUpdate()`
    `void` | `respawnPlayer()`
    `void` | `sendChatMessage(java.lang.String par1Str)`
    `void` | `sendMotionUpdates()`
    `void` | `sendPlayerAbilities()`
    `void` | `setPlayerSPHealth(float par1)`
    `void` | `swingItem()`

    - ### Methods inherited from class net.minecraft.client.entity.EntityPlayerSP

      `addChatComponentMessage, addChatMessage, canCommandSenderUseCommand, displayGUIAnvil, displayGUIBook, displayGUIChest, displayGUIEnchantment, displayGUIHopperMinecart, displayGUIHorse, displayGUIMerchant, displayGUIWorkbench, func_145771_j, func_146093_a, func_146095_a, func_146098_a, func_146100_a, func_146101_a, func_146102_a, func_146104_a, getFOVMultiplier, getHorseJumpPower, getPlayerCoordinates, isClientWorld, isRidingHorse, isSneaking, onCriticalHit, onEnchantmentCritical, onItemPickup, onLivingUpdate, playSound, setSprinting, setXPStats, updateEntityActionState`

    - ### Methods inherited from class net.minecraft.client.entity.AbstractClientPlayer

      `getCapeUrl, getDownloadImageCape, getDownloadImageSkin, getLocationCape, getLocationCape, getLocationSkin, getLocationSkin, getLocationSkull, getSkinUrl, getTextureCape, getTextureSkin, setupCustomSkin`

    - ### Methods inherited from class net.minecraft.entity.player.EntityPlayer

      `addExhaustion, addExperience, addExperienceLevel, addMovementStat, addScore, addToPlayerScore, applyEntityAttributes, attackTargetEntityWithCurrentItem, canAttackPlayer, canEat, canHarvestBlock, canPlayerEdit, canTriggerWalking, clearItemInUse, clonePlayer, damageArmor, destroyCurrentEquippedItem, dropPlayerItemWithRandomChoice, entityInit, fall, func_145748_c_, func_146067_o, func_146094_a, func_146097_a, getAbsorptionAmount, getAIMoveSpeed, getAlwaysRenderNameTagForRender, getArmorVisibility, getBedLocation, getBedLocation, getBedOrientationInDegrees, getBreakSpeed, getBreakSpeed, getCommandSenderName, getCurrentArmor, getCurrentEquippedItem, getCurrentPlayerStrVsBlock, getDeathSound, getDefaultEyeHeight, getDisplayName, getEntityWorld, getEquipmentInSlot, getExperiencePoints, getEyeHeight, getFoodStats, getGameProfile, getHeldItem, getHideCape, getHideCape, getHurtSound, getInventoryEnderChest, getItemIcon, getItemInUse, getItemInUseCount, getItemInUseDuration, getLastActiveItems, getMaxInPortalTime, getPortalCooldown, getPosition, getScore, getSleepTimer, getSplashSound, getSwimSound, getTeam, getTotalArmorValue, getWorldScoreboard, getYOffset, handleHealthUpdate, interactWith, isBlocking, isCurrentToolAdventureModeExempt, isEntityInsideOpaqueBlock, isInvisibleToPlayer, isMovementBlocked, isPlayer, isPlayerFullyAsleep, isPlayerSleeping, isPushedByWater, isSpawnForced, isSpawnForced, isUsingItem, jump, moveEntityWithHeading, onDeath, onItemUseFinish, onKillEntity, openGui, preparePlayerToSpawn, readEntityFromNBT, refreshDisplayName, resetHeight, setAbsorptionAmount, setCurrentItemOrArmor, setDead, setGameType, setHideCape, setInWeb, setItemInUse, setScore, setSpawnChunk, setSpawnChunk, shouldHeal, sleepInBedAt, stopUsingItem, triggerAchievement, updateItemUse, updateRidden, verifyRespawnCoordinates, wakeUpPlayer, writeEntityToNBT, xpBarCap`

    - ### Methods inherited from class net.minecraft.entity.EntityLivingBase

      `addPotionEffect, applyArmorCalculations, applyPotionDamageCalculations, attackEntityAsMob, canBeCollidedWith, canBePushed, canBreatheUnderwater, canEntityBeSeen, clearActivePotions, collideWithEntity, collideWithNearbyEntities, curePotionEffects, decreaseAirSupply, dismountEntity, dropEquipment, dropFewItems, dropRareDrop, func_110142_aN, func_110146_f, func_142015_aE, func_146066_aG, func_94060_bK, getActivePotionEffect, getActivePotionEffects, getAge, getAITarget, getArrowCountInEntity, getAttributeMap, getCreatureAttribute, getEntityAttribute, getHealth, getLastAttacker, getLastAttackerTime, getLook, getLookVec, getMaxHealth, getRNG, getRotationYawHead, getSoundPitch, getSoundVolume, getSwingProgress, isAIEnabled, isChild, isEntityAlive, isEntityUndead, isOnLadder, isOnSameTeam, isOnTeam, isPotionActive, isPotionActive, isPotionApplicable, kill, knockBack, onChangedPotionEffect, onDeathUpdate, onEntityUpdate, onFinishedPotionEffect, onNewPotionEffect, performHurtAnimation, rayTrace, removePotionEffect, removePotionEffectClient, renderBrokenItemStack, setAIMoveSpeed, setArrowCountInEntity, setBeenAttacked, setHealth, setJumping, setLastAttacker, setPositionAndRotation2, setPositionAndUpdate, setRevengeTarget, setRotationYawHead, shouldRiderFaceForward, updateAITasks, updateAITick, updateArmSwingProgress, updateFallState, updatePotionEffects`

    - ### Methods inherited from class net.minecraft.entity.Entity

      `addEntityCrashInfo, addVelocity, applyEntityCollision, canAttackWithItem, canRenderOnFire, canRiderInteract, copyDataFrom, copyLocationAndAnglesFrom, dealFireDamage, doesEntityNotTriggerPressurePlate, dropItem, entityDropItem, equals, extinguish, func_145772_a, func_145774_a, func_145775_I, func_145778_a, func_145780_a, func_145781_i, getAir, getBoundingBox, getBrightness, getBrightnessForRender, getCollisionBorderSize, getCollisionBox, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getEntityId, getEntityString, getExtendedProperties, getFlag, getMaxSafePointTries, getMountedYOffset, getParts, getPersistentID, getPickedResult, getShadowSize, getTeleportDirection, getUniqueID, handleLavaMovement, handleWaterMovement, hashCode, hitByEntity, interactFirst, isBurning, isCreatureType, isEating, isEntityEqual, isEntityInvulnerable, isImmuneToFire, isInRangeToRender3d, isInRangeToRenderDist, isInsideOfMaterial, isInvisible, isInWater, isOffsetPositionInLiquid, isRiding, isSprinting, isWet, moveEntity, moveFlying, newDoubleNBTList, newFloatNBTList, onChunkLoad, onCollideWithPlayer, onStruckByLightning, readFromNBT, registerExtendedProperties, resetEntityId, setAir, setAngles, setEating, setEntityId, setFire, setFlag, setInPortal, setInvisible, setLocationAndAngles, setOnFireFromLava, setPosition, setPositionAndRotation, setRotation, setSize, setSneaking, setVelocity, setWorld, shouldDismountInWater, shouldRenderInPass, shouldRiderSit, shouldSetPosAfterLoading, toString, travelToDimension, updateRiderPosition, writeMountToNBT, writeToNBT, writeToNBTOptional`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sendQueue

          public final NetHandlerPlayClient sendQueue

  - ### Constructor Detail

    - #### EntityClientPlayerMP

          public EntityClientPlayerMP(Minecraft p_i45064_1_,
                              World p_i45064_2_,
                              Session p_i45064_3_,
                              NetHandlerPlayClient p_i45064_4_,
                              StatFileWriter p_i45064_5_)

  - ### Method Detail

    - #### attackEntityFrom

          public boolean attackEntityFrom(DamageSource par1DamageSource,
                                 float par2)

      Overrides:
        `attackEntityFrom` in class `EntityPlayer`

    - #### heal

          public void heal(float par1)

      Overrides:
        `heal` in class `EntityLivingBase`

    - #### mountEntity

          public void mountEntity(Entity par1Entity)

      Overrides:
        `mountEntity` in class `EntityPlayer`

    - #### onUpdate

          public void onUpdate()

      Overrides:
        `onUpdate` in class `EntityPlayer`

    - #### sendMotionUpdates

          public void sendMotionUpdates()

    - #### dropOneItem

          public EntityItem dropOneItem(boolean par1)

      Overrides:
        `dropOneItem` in class `EntityPlayer`

    - #### joinEntityItemWithWorld

          public void joinEntityItemWithWorld(EntityItem par1EntityItem)

      Overrides:
        `joinEntityItemWithWorld` in class `EntityPlayer`

    - #### sendChatMessage

          public void sendChatMessage(java.lang.String par1Str)

    - #### swingItem

          public void swingItem()

      Overrides:
        `swingItem` in class `EntityLivingBase`

    - #### respawnPlayer

          public void respawnPlayer()

      Overrides:
        `respawnPlayer` in class `EntityPlayer`

    - #### damageEntity

          protected void damageEntity(DamageSource par1DamageSource,
                          float par2)

      Overrides:
        `damageEntity` in class `EntityPlayer`

    - #### closeScreen

          public void closeScreen()

      Overrides:
        `closeScreen` in class `EntityPlayerSP`

    - #### closeScreenNoPacket

          public void closeScreenNoPacket()

    - #### setPlayerSPHealth

          public void setPlayerSPHealth(float par1)

      Overrides:
        `setPlayerSPHealth` in class `EntityPlayerSP`

    - #### addStat

          public void addStat(StatBase par1StatBase,
                     int par2)

      Overrides:
        `addStat` in class `EntityPlayer`

    - #### sendPlayerAbilities

          public void sendPlayerAbilities()

      Overrides:
        `sendPlayerAbilities` in class `EntityPlayer`

    - #### func_110318_g

          protected void func_110318_g()

      Overrides:
        `func_110318_g` in class `EntityPlayerSP`

    - #### func_110322_i

          public void func_110322_i()

    - #### func_142020_c

          public void func_142020_c(java.lang.String par1Str)

    - #### func_142021_k

          public java.lang.String func_142021_k()

    - #### getStatFileWriter

          public StatFileWriter getStatFileWriter()